%global pkgvers 0
%global scdate0 20240626
%global schash0 2987765a2d520c53a2976ff6c35968eeb09cbee4
%global branch0 master
%global source0 https://github.com/PythonOT/POT.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           pot
Version:        0.9.4
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Python Optimal Transport
License:        MIT

URL:            https://pythonot.github.io

BuildRequires:  git gcc-c++ python3-devel python3-rpm-macros
BuildRequires:  python3-setuptools python3-Cython python3-numpy

Requires:       python3-numpy python3-scikit-learn python3-matplotlib

%description
Python library provide several solvers for optimization
problems related to Optimal Transport for signal,
image processing and machine learning.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
sed -i 's|"oldest-supported-numpy",||' setup.py
%py3_build


%install
%py3_install


%files
%doc README.md
%doc docs examples
%license LICENSE
%{python3_sitearch}/*


%changelog
* Fri Apr 22 2022 Cristian Balint <cristian.balint@gmail.com>
- git update releases
